Advertisement:

Author Topic: Upgrade from 2.0 RC4 to 2.0.13  (Read 13789 times)

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Upgrade from 2.0 RC4 to 2.0.13
« on: April 19, 2017, 01:47:13 PM »
Hello all!
I'm just trying to upgrade my forum. After running upgrade.php everything seems to be ok and i see text such as
Code: [Select]
Renaming table columns...done
Converting "log_online"...done
Implementing board redirects...done
Creating spider table...done
..........
Implementing admin feature toggles...done
Adding advanced password brute force protection to "members" table...done
Add the columns and the keys to log_actions ...done
Add the user log...done
But after all, i see, that database was not changed anyway and i see "Unknown column 'mem.karma_good' in 'field list'" on forum, because column karma_good were not added to table smf_members.
Please, help, what i'm doing wrong?
P.S. sorry, English is not my native

Offline Sir Osis of Liver

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 5,861
  • til it's chiseled in stone
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #1 on: April 19, 2017, 10:35:47 PM »
Where are you seeing that text?

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #2 on: April 19, 2017, 11:24:04 PM »
Where are you seeing that text?
When i trying to open any topic

Offline Sir Osis of Liver

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 5,861
  • til it's chiseled in stone
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #3 on: April 20, 2017, 12:08:14 AM »
Does that happen in default Curve theme?  Which mods are installed?  Link to your forum?

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #4 on: April 20, 2017, 01:55:55 AM »
Yes, theme is Curve, no mods now. Link is http://78.108.68.135/ [nofollow]

Online Shambles

  • SMF Hero
  • ******
  • Posts: 4,169
  • Gender: Male
    • i30 Owners Club
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #5 on: April 20, 2017, 04:26:41 AM »
Are you sure you have no mods installed?

That's a weird copyright you have in your footer...


Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #6 on: April 20, 2017, 04:32:52 AM »
Are you sure you have no mods installed?

That's a weird copyright you have in your footer...


I've just installed clean 2.0 RC4 forum and then reload dump of mysql db from working forum

Online @rjen

  • Jr. Member
  • **
  • Posts: 108
  • Gender: Male
    • FJR-club Nederland
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #7 on: April 20, 2017, 05:39:34 AM »
Yes, theme is Curve, no mods now. Link is http://78.108.68.135/

When I open that site, I get a 2.1 beta 2 version forum!

Are you really upgrading to 2.0.13, or to 2.1? If it is 2.1 then it is a whole different question I guess...
Running SMF 2.0 at www.fjr-club.nl
Testing SMF 2.1 beta 3 at http://test2.fjr-club.nl/

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #8 on: April 20, 2017, 05:44:14 AM »
Yes, theme is Curve, no mods now. Link is http://78.108.68.135/ [nofollow]

When I open that site, I get a 2.1 beta 2 version forum!

Are you really upgrading to 2.0.13, or to 2.1? If it is 2.1 then it is a whole different question I guess...
I am upgrading from 2.0 RC4 to 2.1 right now, and everything it's okay, forum working fine. But i don't want use beta release, want stable 2.0.13, which upgrade.php script not working, as i see
« Last Edit: April 20, 2017, 06:18:29 AM by obladi-oblada »

Offline Dzonny

  • Lead Localizer
  • SMF Super Hero
  • *
  • Posts: 11,214
  • Gender: Male
  • No sleep...
    • dzontra.nikola on Facebook
    • @opusteniforum on Twitter
    • Samo opusteno
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #9 on: April 20, 2017, 06:18:56 AM »
Hello there,

Upgrade script is working fine, and we do not suggest using 2.1 version on live forums.

Therefore, we'd strongly advice to upgrade to 2.0.13 by using large upgrade pack. Before that, please provide us with more details, like if you have any mods installed, and which theme are you using.
|Sistem za razmenu banera|Servisi za webmastere| My Mods

Dont't fear the reaper...
mail: dzonny (@) simplemachines.org

Offline Drunken Clam

  • Full Member
  • ***
  • Posts: 477
  • Gender: Male
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #10 on: April 20, 2017, 08:02:29 AM »
Seems to me like you have upgraded your 2.0RC4 to 2.1 beta 2 and are now trying to 'upgrade' your 2.1 beta 2 to 2.0.13 - which you cannot do!

I really hope you have a backup of the original database...

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #11 on: April 20, 2017, 08:51:57 AM »
Seems to me like you have upgraded your 2.0RC4 to 2.1 beta 2 and are now trying to 'upgrade' your 2.1 beta 2 to 2.0.13 - which you cannot do!

I really hope you have a backup of the original database...
i tried to upgrade from 2.0 to 2.0.13, from 2.0 to 2.1, and a work only with dump of DB, live forum is okay  :)

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #12 on: April 20, 2017, 05:45:26 PM »
Hello there,

Upgrade script is working fine, and we do not suggest using 2.1 version on live forums.

Therefore, we'd strongly advice to upgrade to 2.0.13 by using large upgrade pack. Before that, please provide us with more details, like if you have any mods installed, and which theme are you using.
I have sql dump from forum, which have custom theme and some mods:
Code: [Select]
1. Auto Merge Double Post 1.3 
2. Stop Forum Spam 0.6 
3. Global Headers Footers 2.0
4. Fancy Features for Russian 0.9.9.5
5. Spoiler BBCode 1.1.3
6. YouTube BBCode 2.6 
7. Spoiler Tag 0.7.2 
8. First Post on every Page 1.3 
9. Search Focus Dropdown 1.6.1
10. dQuoteSelection 3.0 b1 
11. Who Voted What? 2.11 
12. Hide Ignored Boards 1.1 
When i trying to install clean 2.0 RC4 forum, and connect him to database from dump, upgrade.php does not work properly, and i don't know why, no errors, no warnings, no changes in database.

Offline Sir Osis of Liver

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 5,861
  • til it's chiseled in stone
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #13 on: April 20, 2017, 05:52:02 PM »
If you try to upgrade from RC4 to 2.0.13, you are likely to have problems with the mods.  You need to do a clean RC4 install, import your production database, make sure it's working, then upgrade to 2.0.13.  Don't even think about 2.1.

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #14 on: April 20, 2017, 06:00:32 PM »
If you try to upgrade from RC4 to 2.0.13, you are likely to have problems with the mods.  You need to do a clean RC4 install, import your production database, make sure it's working, then upgrade to 2.0.13.  Don't even think about 2.1.
I'am actually do it, and no changes after upgrade.php

Offline Sir Osis of Liver

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 5,861
  • til it's chiseled in stone
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #15 on: April 20, 2017, 06:07:03 PM »
Looking at your link, I'm getting database errors when clicking on a topic.  Have you run repair_settings.php on that install?


Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #16 on: April 20, 2017, 06:12:12 PM »
Looking at your link, I'm getting database errors when clicking on a topic.  Have you run repair_settings.php on that install?
No, haven't run this, database errors appears because there is no column karma_good in table smf_members, there was no this column in 2.0 RC4, but in 2.0.13 - yes, and upgrade script does not add new columns to database

Offline Sir Osis of Liver

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 5,861
  • til it's chiseled in stone
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #17 on: April 20, 2017, 06:42:29 PM »
upgrade.php should make any necessary changes to get the RC4 database to 2.0.13.  I'm not seeing a missing table error, just the generic db error message.  Can you post the error from your error log?

Offline obladi-oblada

  • Semi-Newbie
  • *
  • Posts: 18
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #18 on: April 20, 2017, 07:08:20 PM »
upgrade.php should make any necessary changes to get the RC4 database to 2.0.13.  I'm not seeing a missing table error, just the generic db error message.  Can you post the error from your error log?
Code: [Select]
http://78.108.68.135/index.php?topic=330326.0
Database Error: Unknown column 'mem.karma_good' in 'field list'
File: /var/www/xxx/Sources/Load.php
Line: 1039
« Last Edit: April 20, 2017, 07:26:08 PM by obladi-oblada »

Offline Sir Osis of Liver

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 5,861
  • til it's chiseled in stone
Re: Upgrade from 2.0 RC4 to 2.0.13
« Reply #19 on: April 21, 2017, 02:02:13 PM »
Is the RC4 install still running? Link?